﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.ActivationInfo;
using BPA.SAAS.Manage.Application.DataBase.Interface;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase
{
    [ApiDescriptionSettings("Activation", Tag = "授权码信息")]
    public class ActivationServices : IDynamicApiController
    {
        IActivationInfoService _authInfoService;
        public ActivationServices(IActivationInfoService authInfoService)
        {
            _authInfoService = authInfoService;
        }

        /// <summary>
        /// 获取授权码分页
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/activation/getActivationInfoPage")]
        public async Task<PageUtil> GetActivationInfoPage(ActivationInfoQueryDto dto)
        {
            return await _authInfoService.GetActivationInfoPage(dto);
        }

        /// <summary>
        /// 更新授权码
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/activation/updateActivationInfo")]
        public async Task<bool> UpdateActivationInfo(ActivationInfoUpDto dto)
        {
            return await _authInfoService.UpdateActivationInfo(dto);
        }

        /// <summary>
        /// 生成离线授权码
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/activation/updateOfflineKey")]
        public async Task<string> UpdateOfflineKey(OfflineKeyDto dto)
        {
            return await _authInfoService.UpdateOfflineKey(dto);
        }

        /// <summary>
        /// 删除授权码
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpGet("/api/activation/deleteActivationInfo")]
        public async Task<bool> DeleteActivationInfo(string id)
        {
            return await _authInfoService.DeleteActivationInfo(id);
        }
    }
}
