﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Interface
{
    public class RecipeAttrDto
    {
        public string Id { get; set; }
        public string RecipeId { get; set; }
        public string Name { get; set; }
        public int Sort { get; set; }
        public List<RecipeAttrValueDto> ValueList { get; set; }
    }

    public class RecipeAttrValueDto
    {
        public string Id { get; set; }
        public string AttributeId { get; set; }
        public string Name { get; set; }
        public int Sort { get; set; }
    }

    public class RecipeAttrDataDto
    {
        /// <summary>
        /// 配方版本Id
        /// </summary>
        public string RecipeVersionId { get; set; }
        /// <summary>
        /// 配方版本名称
        /// </summary>
        public string RecipeVersionName { get; set; }
        /// <summary>
        /// 属性集合
        /// </summary>
        public List<AttrDto> AttrList { get; set; }
    }

    public class AttrDto
    {
        /// <summary>
        /// 属性Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 属性名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 属性值集合
        /// </summary>
        public List<AttrValueDto> ValueList { get; set; }
    }

    public class AttrValueDto
    {
        /// <summary>
        /// 属性值Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 属性Id
        /// </summary>
        public string AttributeId { get; set; }
        /// <summary>
        /// 属性值名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        public int Sort { get; set; }
    }

    public class AttrValueDelDto
    {
        public string RecipeId { get;set; }
        public string RecipeName { get; set; }
        public string AttrId { get; set; }
        public string AttrName { get; set; }
        public string ValueId { get; set; }
        public string ValueName { get; set; }
    }
}
