﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Dtos.Interface
{
    public class RecipeBatchingDto
    {
        public string Id { get; set; }
        public string AttributeId { get; set; }
        public string AttributeName { get; set; }
        public List<RecipeBatchingListDto> BatchingList { get; set; }
    }

    public class RecipeBatchingListDto
    {
        public string BatchingId { get; set; }
        public string BatchingName { get; set; }
        public decimal Weight { get; set; }
    }

    public class RecipeBatchingDataDto
    {
        /// <summary>
        /// 配方版本Id
        /// </summary>
        public string RecipeVersionId { get; set; }
        /// <summary>
        /// 配方版本名称
        /// </summary>
        public string RecipeVersionName { get; set; }
        /// <summary>
        /// 配置列表
        /// </summary>
        public List<ConfigDto> ConfigList { get;set; }
    }

    public class ConfigDto
    {
        /// <summary>
        /// 配置Id
        /// </summary>
        public string Id { get;set; }
        /// <summary>
        /// 多属性Id集合
        /// </summary>
        public string AttributeId { get; set; }
        /// <summary>
        /// 多属性名称集合
        /// </summary>
        public string AttributeName { get; set; }
        /// <summary>
        /// 物料列表
        /// </summary>
        public List<BatchingListDto> BatchingList { get; set; }
    }

    public class BatchingListDto
    {
        /// <summary>
        /// 主键Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 物料Id
        /// </summary>
        public string BatchingId { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string BatchingName { get; set; }
        /// <summary>
        /// 用量
        /// </summary>
        public decimal Weight { get; set; }
    }

    public class RecipeBatchingDelDto
    {
        public string RecipeId { get; set; }
        public string RecipeName { get; set; }
        public string ConfigId { get;set; }
        public string ConfigName { get;set; }
    }
}
