﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IInterfaceService
    {
        #region 获取信息
        #region 账号
        Task<List<UsersDto>> GetUsers();
        #endregion

        #region 设备autokey获取信息
        Task<DeviceInfoDto> GetDeviceInfo();
        #endregion

        #region 获取配方信息
        Task<RecipeDto> GetRecipeList();
        #endregion
        #endregion

        #region 物料
        Task<List<BatchingDto>> GetBatching();
        Task<List<InterfaceMessageDto>> UploadBatching(List<BatchingDataDto> dto);
        Task<List<InterfaceMessageDto>> DeleteBatching(List<BatchingDelDto> dto);
        #endregion

        #region 配方

        #region 配方信息
        //Task<List<RecipeInfoDto>> GetRecipeInfo(string recipeGroupId);
        Task<List<InterfaceMessageDto>> UploadRecipeInfo(List<RecipeInfoDataDto> dto);
        //Task<List<InterfaceMessageDto>> DeleteRecipeInfo(List<RecipeInfoDelDto> dto);
        #endregion

        #region 配方版本
        Task<List<InterfaceMessageDto>> UploadRecipeVersion(List<RecipeVersionDataDto> dto);
        #endregion

        #region 配方多属性
        //Task<List<RecipeAttrDto>> GetRecipeAttr(string recipeId);
        Task<List<InterfaceMessageDto>> UploadRecipeAttr(List<RecipeAttrDataDto> dto);
        //Task<List<InterfaceMessageDto>> DeleteRecipeAttr(List<AttrValueDelDto> dto);
        #endregion

        #region 配方物料
        //Task<List<RecipeBatchingDto>> GetRecipeBatching(string recipeId);
        Task<List<InterfaceMessageDto>> UploadRecipeBatching(List<RecipeBatchingDataDto> dto);
        //Task<List<InterfaceMessageDto>> DeleteRecipeBatching(List<RecipeBatchingDelDto> dto);
        #endregion

        #region 配方模版
        Task<List<InterfaceMessageDto>> UploadRecipeTemplate(List<RecipeTemplateDataDto> dto);
        #endregion

        #endregion

        #region 报表接口
        Task<List<InterfaceMessageDto>> UploadRecipeUseDetail(List<RecipeUseDetailDataDto> dto);
        #endregion

        #region 日志接口
        Task<List<InterfaceMessageDto>> UploadDeviceLog(DeviceLogDto dto);
        #endregion

        #region 在线激活设备
        Task<List<InterfaceMessageDto>> ActivationDevice(ActivationDeviceDto dto);
        Task<List<InterfaceMessageDto>> UploadOfflineLog(OfflineActivationLogDto dto);
        #endregion
    }
}
