﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.Recipe;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase.Interface
{
    public interface IRecipeService
    {
        #region 配方
        Task<PageUtil> GetRecipeInfoPage(RecipeQueryDto dto);
        Task<bool> UpdateRecipeInfo(RecipeResUpDto dto);
        Task<bool> DeleteRecipeInfo(string ids, int autoKey);
        Task<List<RecipeVersionResDto>> GetRecipeVersionList(string recipeId, int autoKey);
        Task<bool> UpdateRecipeVersion(RecipeVersionResUpDto dto);
        Task<bool> DeleteRecipeVersion(string ids, int autoKey);
        Task<List<RecipeBatchingDto>> GetBaseBatchingList(string recipeVersionId, int autoKey);
        Task<List<RecipeBatchingDto>> GetAttrBatchingList(string recipeVersionId, string attrIds, int autoKey);
        Task<bool> SetRecipeBatching(RecipeBatchingDataDto dto);
        Task<List<AttrRecipeListDto>> GetAttrRecipeList(string recipeVersionId, string valueIds, int autoKey);
        Task<bool> DeleteRecipeAttr(string configId, int autoKey);
        #endregion
        Task<List<RecipeGroupDto>> GetRecipeGroupList(string groupTempId, bool isWeight, int autoKey);
        Task<bool> UpdataRecipeGroup(RecipeGroupDto dto);
        Task<bool> DeleteRecipeGroup(string id, int autoKey);
        Task<int> GetRecipeTemplateCount(string recipeGroupId, int autoKey);
        Task<List<RecipeTemplateInfoDto>> GetRecipeTemplateList(string recipeGroupId, int page, int autoKey);
        Task<bool> UpdateRecipeTemplate(RecipeTemplateUpDto dto);
        Task<bool> DeleteRecipeTemplate(string id, int autoKey);
        Task<bool> AddRecipeTemplatePage(RecipePageDto dto);
        Task<bool> DeleteRecipeTemplatePage(string recipeGroupId, int page, int autoKey);
        Task<List<RecipeSelectDto>> GetRecipeVersionSelectList(string recipeId, bool isWeight, int autoKey);
        Task<int> GetMaxVersion(string recipeId, int autoKey);
        Task<int> GetGroupMaxSort(bool isWeight, int autoKey, string groupTempId);
        Task<List<CopyItemDto>> GetCopyList(int autoKey);
        Task<List<RecipeResDto>> GetAllRecipeList(int autoKey);
        Task<List<RecipeGroupTemplateDto>> GetTemplateList(bool select, int autoKey, string groupTempId);
        Task<List<RecipeResDto>> GetRecipeListWithName(string name, int autoKey);
        Task<List<RecipeResDto>> GetRepeatRecipeList(string names, int selectAutoKey, int autoKey);
        Task<bool> CopyRecipeList(string names, string skipNames, int newAutoKey, int oldAutoKey);
        Task<bool> CopyTemplateList(string newAutoKey, int oldAutoKey, string groupTempId);
        Task<PageUtil> GetRecipeGroupTemplatePage(RecipeGroupTemplateQueryDto dto);
        Task<bool> UpdateRecipeGroupTemplate(RecipeGroupTemplateUpDto dto);
        Task<bool> DeleteRecipeGroupTemplate(string ids);
    }
}
