﻿using BPA.SAAS.Manage.Application.DataBase.Dtos.RecipeAttribute;
using BPA.SAAS.Manage.Application.DataBase.Interface;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.DataBase
{
    [ApiDescriptionSettings("RecipeAttribute", Tag = "配方属性信息")]
    public class RecipeAttributeServices : IDynamicApiController
    {
        IRecipeAttributeService _recipeAttributeService;
        public RecipeAttributeServices(IRecipeAttributeService recipeAttributeService)
        {
            _recipeAttributeService = recipeAttributeService;
        }

        /// <summary>
        /// 通过配方Id获取配方属性
        /// </summary>
        /// <param name="recipeVersionId"></param>
        /// <param name="autoKey"></param>
        /// <returns></returns>
        [HttpGet("/api/recipeAttribute/getRecipeAttributeList")]
        public async Task<List<RecipeAttributeDto>> GetRecipeAttributeList(string recipeVersionId, int autoKey)
        {
            return await _recipeAttributeService.GetRecipeAttributeList(recipeVersionId, autoKey);
        }

        /// <summary>
        /// 更新配方属性
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/recipeAttribute/updateRecipeAttribute")]
        public async Task<bool> UpdateRecipeAttribute(List<RecipeAttributeDto> dto)
        {
            return await _recipeAttributeService.UpdateRecipeAttribute(dto);
        }

        /// <summary>
        /// 删除配方属性/属性值
        /// </summary>
        /// <param name="id"></param>
        /// <param name="type"></param>
        /// <param name="autoKey"></param>
        /// <returns></returns>
        [HttpGet("/api/recipeAttribute/deleteRecipeAttribute")]
        public async Task<bool> DeleteRecipeAttribute(string id, int type, int autoKey)
        {
            return await _recipeAttributeService.DeleteRecipeAttribute(id, type, autoKey);
        }
    }
}
