﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.ActivatioInfo
{
    /// <summary>
    /// 授权码表
    /// </summary>
    public class BPA_ActivationInfo : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 在线激活码
        /// </summary>
        public string OnlineKey { get; set; }
        /// <summary>
        /// 离线激活码
        /// </summary>
        public string OfflineKey { get; set; }
        /// <summary>
        /// 过期时间
        /// </summary>
        public DateTime EffectiveDate { get; set; }
        /// <summary>
        /// 1:未激活 2:已激活
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 设备唯一key
        /// </summary>
        public int? AutoKey { get; set; }
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
