﻿using BPA.SAAS.Manage.Comm.Const;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Base
{
    public abstract class IBaseEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; }
        public DateTime CreateAt { get; set; } = DateTime.Now;
        public string CreateBy { get; set; }
        /// <summary>
        /// 新增
        /// </summary>
        public virtual void Create()
        {
            var userId = App.User?.FindFirst(ClaimConst.CLAINM_USERID)?.Value;
            Id = !string.IsNullOrWhiteSpace(Id) ? Id : Guid.NewGuid().ToString();
            CreateAt = DateTime.Now;
            if (!string.IsNullOrEmpty(userId))
            {
                CreateBy = userId;
            }
            else
            {
                CreateBy = "admin";
            }
        }
    }
}
