﻿using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Core.Recipe
{
    /// <summary>
    /// 配方使用明细表
    /// </summary>
    public class BPA_RecipeUseDetail : IBaseEntity, IGroupId
    {
        /// <summary>
        /// 是否称重(true:称重模式 false:标准模式)
        /// </summary>
        public bool IsWeight { get;set; }
        /// <summary>
        /// 执行状态(1:完成  2:强制终止 3:异常)
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 配方名称
        /// </summary>
        public string RecipeName { get;set; }
        /// <summary>
        /// 多属性名称
        /// </summary>
        public string AttributeName { get; set; }
        /// <summary>
        /// 门店名称
        /// </summary>
        public string StoreName { get; set; }
        /// <summary>
        /// 设备名称
        /// </summary>
        public string DeviceName { get; set; }
        /// <summary>
        /// Json数据
        /// </summary>
        public string JsonData { get; set; }
        /// <summary>
        /// 使用时间
        /// </summary>
        public DateTime UseDate { get;set;}
        /// <summary>
        /// 加盟商id
        /// </summary>
        public string GroupId { get; set; }
    }
}
